# Generated by Django 3.2.5 on 2024-05-01 15:22

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import ikwen.core.db


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.CharField(default=ikwen.core.db.get_object_id, max_length=36, primary_key=True, serialize=False)),
                ('created_on', models.DateTimeField(auto_now_add=True, db_index=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, db_index=True, null=True)),
                ('name', models.CharField(db_index=True, max_length=100, verbose_name='name')),
                ('is_active', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name_plural': 'Cities',
            },
        ),
        migrations.CreateModel(
            name='Hood',
            fields=[
                ('id', models.CharField(default=ikwen.core.db.get_object_id, max_length=36, primary_key=True, serialize=False)),
                ('created_on', models.DateTimeField(auto_now_add=True, db_index=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, db_index=True, null=True)),
                ('name', models.CharField(db_index=True, max_length=100, verbose_name='name of the hood')),
                ('location', django.contrib.gis.db.models.fields.PointField(null=True, srid=4326)),
                ('is_active', models.BooleanField(db_index=True, default=True, help_text='Activate to make it visible on the site.', verbose_name='active ?')),
                ('tags', models.CharField(db_index=True, max_length=100, null=True)),
                ('city', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='changespot.city', verbose_name='city')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Spot',
            fields=[
                ('id', models.CharField(default=ikwen.core.db.get_object_id, max_length=36, primary_key=True, serialize=False)),
                ('created_on', models.DateTimeField(auto_now_add=True, db_index=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, db_index=True, null=True)),
                ('place', models.TextField(help_text='Best description of where the spot is situated precisely.', null=True, verbose_name='place')),
                ('category', models.CharField(choices=[('Tmp', 'Temporary'), ('Branch', 'Branch')], db_index=True, max_length=30)),
                ('start_date', models.DateField(db_index=True, help_text='Date when the spot starts being available.', null=True, verbose_name='start date')),
                ('end_date', models.DateField(db_index=True, help_text='Date when the spot stops being available.', null=True, verbose_name='end date')),
                ('location', django.contrib.gis.db.models.fields.PointField(null=True, srid=4326)),
                ('status', models.IntegerField(db_index=True, default=0)),
                ('tags', models.CharField(db_index=True, max_length=100, null=True)),
                ('hood', models.ForeignKey(help_text='Hood where the spot is situated', null=True, on_delete=django.db.models.deletion.CASCADE, to='changespot.hood', verbose_name='hood')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Citizen',
            fields=[
                ('id', models.CharField(default=ikwen.core.db.get_object_id, max_length=36, primary_key=True, serialize=False)),
                ('created_on', models.DateTimeField(auto_now_add=True, db_index=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, db_index=True, null=True)),
                ('name', models.CharField(max_length=100, blank=True, null=True)),
                ('email', models.EmailField(db_index=True, max_length=254, null=True)),
                ('phone', models.EmailField(db_index=True, max_length=254, null=True)),
                ('location', django.contrib.gis.db.models.fields.PointField(null=True, srid=4326)),
                ('amount', models.IntegerField(default=0)),
                ('reminded_on', models.DateTimeField(db_index=True, null=True)),
                ('status', models.IntegerField(db_index=True, default=0)),
                ('hood', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='changespot.hood')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
